ur_rna.GUITester

## Class GUITesterStartup

- java.lang.Object
- - ur_rna.GUITester.GUITesterStartup

-     public class GUITesterStartup
      extends java.lang.Object

  The main entry-point for the test application.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `GUITesterStartup.AppOptions`
    `private static class` | `GUITesterStartup.ScriptSource`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static AppLog` | `log`
    `(package private) static GUITesterStartup.AppOptions` | `options`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GUITesterStartup()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `private static boolean` | `parseArgs(java.lang.String[] commandArgs)`
    `private static void` | `ShowAppHelp()`
    `private static java.util.List<Script>` | `splitScriptSuite(java.io.Reader input, java.lang.String file, java.lang.String defaultTitle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          static final AppLog log

    - #### options

          static final GUITesterStartup.AppOptions options

  - ### Constructor Detail

    - #### GUITesterStartup

          public GUITesterStartup()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - Command line arguments.

    - #### parseArgs

          private static boolean parseArgs(java.lang.String[] commandArgs)

    - #### ShowAppHelp

          private static void ShowAppHelp()

    - #### splitScriptSuite

          private static java.util.List<Script> splitScriptSuite(java.io.Reader input,
                                                                 java.lang.String file,
                                                                 java.lang.String defaultTitle)
                                                          throws java.io.IOException

      Throws:
        `java.io.IOException`